celix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pepijn Noltes <pepijnnol...@gmail.com>
Subject Re: celix cannot be build w/ cmake 3.3.1
Date Mon, 26 Oct 2015 19:40:14 GMT
Hi,


On Sat, Oct 24, 2015 at 9:09 AM Bjoern Petri <bjoern.petri@sundevil.de>
wrote:

>
>
> Hi everyone,
>
> I took some time to dive a bit into this issue and suspect the following
> bug to cause this behavior.
>
> https://public.kitware.com/Bug/view.php?id=15696.
>
> Building Celix w/ CMake 3.2 and CMake 3.4 RC2 works without a problem.
> For now, I added a check at the beginning of our CMake Configuration:
> in case CMake 3.3. is used an message is printed asking the user to
> switch the CMake Version and the build is aborted.
>

Good catch. I adjusted the fix a bit so that you can still use CMake 3.3,
but only if you are not generating makefiles. For me generating ninja - an
alternative build environment, with a focus on speed - build files works
fines. Also mentioned ninja as an alternative in the error message.


>
> Regards,
>   Bjoern
>
>
>
>
> On 21.09.2015 14:45, Bjoern Petri wrote:
> >
> >
> > Hi everyone,
> >
> > It seems that celix cannot be build using cmake 3.3.1 (which has been
> > rolled out with the latest update of fedora 22). Trying to build it ends
> > with an message saying "Error: could not load cache". I'll look into
> > this later. For now I'd suggest staying with cmake < 3.3.1.
> >
> > Regards,
> >   Bjoern
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message